include "basics/pts.ma".
include "connectives.ma".
include "leibniz.ma".
include "nat.ma".
axiom fact : nat -> nat.
axiom fact_body : nat -> nat.
axiom axiom_fact : \forall (n:nat). (equal) (nat) ((fact)  n) ((filter_nat_type) (nat) (fact_body)  n).
definition eq_fact : \forall (n:nat). (leibniz) (nat) ((fact)  n) ((filter_nat_type) (nat) (fact_body)  n) := \lambda n : nat. ((((equal_leibniz) (nat)) ((fact)  n)) ((filter_nat_type) (nat) (fact_body)  n)) ((axiom_fact) (n)).
definition sym_eq_fact : \forall (n:nat). (leibniz) (nat) ((filter_nat_type) (nat) (fact_body)  n) ((fact)  n) := \lambda n : nat. ((((sym_leibniz) (nat)) ((fact)  n)) ((filter_nat_type) (nat) (fact_body)  n)) ((eq_fact) (n)).
